# Synced from ballistica-master-server.
# EFRO_SYNC_HASH=36026419165789347509799597437391965813
#
"""Page rendering stuff."""

from __future__ import annotations

from efro.util import set_canonical_module_names
from baserver.page._page import (
    PostResponse,
    HandlerBase,
    PostHandler,
    GetHandler,
    Page,
)

__all__ = [
    'PostResponse',
    'PostHandler',
    'GetHandler',
    'HandlerBase',
    'Page',
]

# Have these things present themselves cleanly as 'thismodule.SomeClass'
# instead of 'thismodule._internalmodule.SomeClass'
set_canonical_module_names(globals())
