# Synced from ballistica-master-server.
# EFRO_SYNC_HASH=29381988109459770109966708574020542534
#
"""Workspace functionality."""

from __future__ import annotations

from efro.util import set_canonical_module_names

from baserver.workspace._workspace import (
    WorkspaceType,
    WorkspaceTypeID,
    WorkspaceDirEntry,
    WorkspaceCompileInput,
    WorkspaceCompileOutput,
    WorkspaceCompile,
)

__all__ = [
    'WorkspaceType',
    'WorkspaceTypeID',
    'WorkspaceDirEntry',
    'WorkspaceCompileInput',
    'WorkspaceCompileOutput',
    'WorkspaceCompile',
]

# Have these things present themselves cleanly as 'thismodule.SomeClass'
# instead of 'thismodule._internalmodule.SomeClass'
set_canonical_module_names(globals())
