"""BASN functionality for running subtasks."""

from __future__ import annotations

from efro.util import set_canonical_module_names
from basn.resource._resource import (
    ResourceTypeID,
    Resource,
)

__all__ = [
    'ResourceTypeID',
    'Resource',
]

# Have these things present themselves cleanly as 'somepackage.SomeClass'
# instead of 'somepackage._internalmodule.SomeClass'
set_canonical_module_names(globals())
