# Synced from ballistica-master-server.
# EFRO_SYNC_HASH=17039807689563808459899124810489888501
#
"""Defines workspace behavior."""

from __future__ import annotations

from dataclasses import dataclass
from typing import TYPE_CHECKING

from typing_extensions import override
from efro.dataclassio import ioprepped

from baserver.workspace import WorkspaceType, WorkspaceTypeID

if TYPE_CHECKING:
    pass


@ioprepped
@dataclass
class AssetsV1Workspace(WorkspaceType):
    """Workspace for building assets."""

    @override
    @classmethod
    def get_type_id(cls) -> WorkspaceTypeID:
        return WorkspaceTypeID.ASSETS_V1
