# Synced from ballistica-master-server.
# EFRO_SYNC_HASH=282638063452265084202031764594716917688
#
"""Defines workspace behavior."""

from __future__ import annotations

from dataclasses import dataclass
from typing import TYPE_CHECKING

from typing_extensions import override
from efro.dataclassio import ioprepped

from baserver.workspace import WorkspaceType, WorkspaceTypeID

if TYPE_CHECKING:
    pass


@ioprepped
@dataclass
class UntypedWorkspace(WorkspaceType):
    """Workspace with no particular purpose."""

    @override
    @classmethod
    def get_type_id(cls) -> WorkspaceTypeID:
        return WorkspaceTypeID.UNTYPED
